#include <inti/main.h>
#include <inti/core.h>
#include <inti/gtk/progressbar.h>

using namespace Inti;

class ProgressBarWindow : public Gtk::Window
{
	Gtk::ProgressBar *progress_bar;
	bool activity_mode;

	Connection timeout_connection;

protected:
	bool on_timeout();
	void on_toggle_show_text();
	void on_toggle_activity_mode();
	void on_toggle_orientation();

public:
	ProgressBarWindow();
	~ProgressBarWindow();
};

